/// <reference types="cypress" />
describe('Client web-access', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
    });
    it('Should test buttons ', () => {
        cy.visit('#/customer/1101/web-access');
        cy.get('.q-page').should('be.visible');
        cy.get('#formModel').should('be.visible');
        cy.get('.q-card').should('be.visible');
        cy.get('.q-btn-group > :nth-child(1)').should('not.be.disabled');
        cy.get('.q-checkbox__inner').click();
        cy.get('.q-btn-group > .q-btn--standard.q-btn--actionable').should(
            'not.be.disabled'
        );
        cy.get('.q-btn-group > .q-btn--flat').should('not.be.disabled');
        cy.get('.q-btn-group > :nth-child(1)').click();
        cy.get('.q-dialog__inner > .q-card > :nth-child(1)')
            .should('be.visible')
            .find('.text-h6')
            .should('have.text', 'Change password');
    });
    it('Should disabled buttons', () => {
        cy.visit('#/customer/1110/web-access');
        cy.get('.q-btn-group > :nth-child(1)').should('be.disabled');
    });
});
